%define upstream_name	 IMDB-Film
%define upstream_version 0.53

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    OO Perl interface to the database of films IMDB
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/ST/STEPANOV/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(Carp)
BuildRequires: perl(Digest::SHA1)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::TokeParser) >= 2.280.0
BuildRequires: perl(LWP::Simple) >= 1.410.0
BuildRequires: perl(Pod::Checker)
BuildRequires: perl(Text::Unidecode)
BuildArch:  noarch

%description
IMDB::Film is OO Perl interface to the database of films
IMDB (www.imdb.com). It allows to retrieve information
about movies by its IMDB code or title. Also, there is a 
possibility to get information about IMDB persons (actors,
actresses, directors etc) by their name of code.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%install
%make_install

%files
%doc ChangeLog LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/IMDB
%{_mandir}/man3/*

%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.530.0-10.mga9
+ Revision: 1817170
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.530.0-9.mga8
+ Revision: 1495078
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.530.0-8.mga7
+ Revision: 1268646
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.530.0-7.mga6
+ Revision: 1028512
- Rebuild for perl 5.22.2

* Fri Jan 29 2016 umeabot <umeabot> 0.530.0-6.mga6
+ Revision: 928845
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.530.0-5.mga5
+ Revision: 743648
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.530.0-4.mga5
+ Revision: 685044
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.530.0-3.mga4
+ Revision: 512211
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.530.0-2.mga3
+ Revision: 368433
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.530.0-1.mga3
+ Revision: 342218
- update to 0.53

* Tue Jun 05 2012 jquelin <jquelin> 0.520.0-1.mga3
+ Revision: 255013
- update to 0.52

* Thu Oct 13 2011 jquelin <jquelin> 0.510.0-1.mga2
+ Revision: 154322
- update to 0.51
- update to 0.50

* Wed Feb 16 2011 jquelin <jquelin> 0.490.0-1.mga1
+ Revision: 52356
- update to 0.49

* Thu Jan 20 2011 jquelin <jquelin> 0.480.0-1.mga1
+ Revision: 26392
- mageia rebuild
- imported package perl-IMDB-Film


* Sat Nov 06 2010 Anssi Hannula <anssi@mandriva.org> 0.480.0-1mdv2011.0
+ Revision: 594191
- new version (makes the module work again)

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.450.0-1mdv2011.0
+ Revision: 526446
- update to 0.45

* Wed Mar 17 2010 Jérôme Quelin <jquelin@mandriva.org> 0.440.0-1mdv2010.1
+ Revision: 523954
- update to 0.44

* Tue Dec 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.430.0-1mdv2010.1
+ Revision: 478792
- update to 0.43

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-1mdv2010.1
+ Revision: 461292
- update to 0.42

* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.410.0-1mdv2010.0
+ Revision: 415006
- update to 0.41

* Wed Jul 15 2009 Anssi Hannula <anssi@mandriva.org> 0.40-1mdv2010.0
+ Revision: 396132
- new version

* Wed Jul 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.39-1mdv2010.0
+ Revision: 393525
- update to new version 0.39

* Tue Jun 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.37-1mdv2010.0
+ Revision: 390836
- update to new version 0.37

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2009.1
+ Revision: 292179
- update to new version 0.34

* Mon Jun 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2009.0
+ Revision: 220141
- update to new version 0.33

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.32-1mdv2008.1
+ Revision: 144816
- update to new version 0.32

* Thu Dec 27 2007 Anssi Hannula <anssi@mandriva.org> 0.31-1mdv2008.1
+ Revision: 138208
- update to new version 0.31

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.30-1mdv2008.1
+ Revision: 97500
- update to new version 0.30

* Thu Jul 19 2007 Anssi Hannula <anssi@mandriva.org> 0.29-1mdv2008.0
+ Revision: 53679
- 0.29

* Fri May 11 2007 Anssi Hannula <anssi@mandriva.org> 0.28-1mdv2008.0
+ Revision: 26411
- 0.28

* Sun Apr 29 2007 Anssi Hannula <anssi@mandriva.org> 0.27-1mdv2008.0
+ Revision: 19142
- Import perl-IMDB-Film

